Permalink
Browse files

Removed alternate installation methods (use git, tarball, or npm)

  • Loading branch information...
1 parent df49769 commit afd2b4b387c5de601d7d2ae2098f86616cb4bcc5 Tj Holowaychuk committed Feb 4, 2011
Showing with 11 additions and 52 deletions.
  1. +1 −27 Makefile
  2. +10 −10 Readme.md
  3. +0 −15 install.sh
View
@@ -1,7 +1,4 @@
-PREFIX ?= /usr/local
-LIB_PREFIX = ~/.node_libraries
-
DOCS = docs/index.md \
docs/screencasts.md \
docs/executable.md \
@@ -13,29 +10,6 @@ DOCS = docs/index.md \
MANPAGES =$(DOCS:.md=.1)
HTMLDOCS =$(DOCS:.md=.html)
-install: install-docs
- @mkdir -p $(PREFIX)/bin
- @mkdir -p $(LIB_PREFIX)
- cp -f bin/express $(PREFIX)/bin/express
- cp -fr lib/express $(LIB_PREFIX)/express
-
-uninstall: uninstall-docs
- rm -f $(PREFIX)/bin/express
- rm -fr $(LIB_PREFIX)/express
-
-install-support:
- cd support/connect && $(MAKE) install
-
-uninstall-support:
- cd support/connect && $(MAKE) uninstall
-
-install-docs:
- @mkdir -p $(PREFIX)/share/man/man1
- cp -f docs/executable.1 $(PREFIX)/share/man/man1/express.1
-
-uninstall-docs:
- rm -f $(PREFIX)/share/man/man1/express.1
-
test:
@NODE_ENV=test ./support/expresso/bin/expresso \
-I lib \
@@ -75,4 +49,4 @@ docs/api.html: lib/express/*.js
docclean:
rm -f docs/*.{1,html}
-.PHONY: install uninstall install-docs install-support uninstall-support install-docs uninstall-docs test test-cov docs docclean
+.PHONY: test test-cov docs docclean
View
@@ -5,23 +5,17 @@
built on [node](http://nodejs.org) and [Connect](http://github.com/senchalabs/connect).
var app = express.createServer();
-
+
app.get('/', function(req, res){
res.send('Hello World');
});
-
- app.listen(3000);
+
+ app.listen(3000);
## Installation
-npm:
-
$ npm install express
-curl:
-
- $ curl -# http://expressjs.com/install.sh | sh
-
## Features
* Robust routing
@@ -79,7 +73,13 @@ and connect --version:
0.5.7
-Express `1.x` is maintained in the `1.x` branch, and `master` is `2.0.0-pre` which is targeted to work with node `0.4.x`, to view `2.x` documentation open _docs/index.html_.
+master (2.0.0-pre) is compatible with node --version:
+
+ v0.3.7
+
+and connect --version:
+
+ 0.5.7
## License
View
@@ -1,15 +0,0 @@
-
-install() {
- mkdir -p /tmp/$2 \
- && cd /tmp/$2 \
- && echo "... installing $2" \
- && curl -# -L "http://github.com/$1/$2/tarball/master" \
- | tar xz --strip 1 \
- && mkdir -p ~/.node_libraries \
- && cp -fr lib/$2 ~/.node_libraries/$2
-}
-
-install visionmedia express \
- && install senchalabs connect \
- && cp -f /tmp/express/bin/express /usr/local/bin/express \
- && echo "... installation complete"

0 comments on commit afd2b4b

Please sign in to comment.